import { States } from "src/utils/utils";
import { ReminderInfoDTO } from "../../../interfaces";
export declare class SwContentWrapper {
  myProperty: ReminderInfoDTO;
  state: States;
  idPlugin: number;
  deleteMod: boolean;
  idPluginExternal: number;
  pluginActions: {
    id: string;
    info: string;
    name: string;
  }[];
  author: {
    name: "Nome";
    surname: "Cognome";
    date: "creato oggi";
    image: "assets/img/user.svg";
  };
  baseUrl: string;
  done: boolean;
  sendDateForCalendar: boolean;
  dark: boolean;
  componentWillRender(): void;
  changeDark(): void;
  textEmitted: string;
  getTextFromInputText(ev: any): void;
  submit(): void;
  render(): any;
  changeAnotherDTO(ev: any): void;
  changeDTO(ev: any): void;
}
